@import "assets/scss/global";

.wrapper {
    height: 100%;
    width: 100%;
    background: #FFFFFF;
    border-radius: 24px;

    .container {
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 20px;

        .teacher-class-info {
            // height: 108px;
            width: 100%;
            padding: 24px 24px 0;
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 20px;

            .class-btn {
                display: flex;
                flex-direction: row;
                align-items: center;
                padding: 10px;
                gap: 15px;

                height: 84px;
                width: calc(100% / 3);
                border-radius: 8px;
                background: #FFFFFF;
                border: 1px solid $grey-color;

                .avatar-content {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    height: 40px;
                    width: 40px;
                    background: linear-gradient(to right, #F79945, #F84C26);
                    border-radius: 200px;

                    .avatar {
                        position: relative;
                        display: block;
                        height: 36px;
                        width: 36px;
                        padding: 4px;
                        background: white;
                        border-radius: 50%;

                        img {
                            height: 100%;
                            width: 100%;
                            object-fit: cover;
                            object-position: center;
                            border-radius: 50%;
                        }
                    }
                }

                .text-info {
                    width: calc(100% - 55px);
                    display: flex;
                    flex-direction: column;
                    align-items: flex-start;
                    padding: 0px;
                    gap: 5px;

                    .teacher {
                        width: 100%;
                        text-align: left;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        display: -webkit-box;
                        -webkit-line-clamp: 1;
                        -webkit-box-orient: vertical;

                        span {
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 20px;
                            color: $grey-color;
                        }
                    }

                    .classes {
                        width: 100%;
                        text-align: left;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        display: -webkit-box;
                        -webkit-line-clamp: 1;
                        -webkit-box-orient: vertical;
                        word-break: break-word;

                        span {
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 20px;
                            color: #EB4C2A;
                        }
                    }
                }

                &.active {
                    background: #F9EFED;
                    border: 1px solid #EF4E2B;
                }
            }
        }

        .box-list-skeleton {
            padding: 0 !important;
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 20px;
        }

        .btn-skeleton {
            height: 84px;
            width: calc(100% / 3)
        }

        .box-carousel {
            display: flex;
            flex-direction: row;
            align-items: center;
            height: 84px;
            width: 100%;
            padding: 0 35px;

            .carousel {
                height: 100%;
                width: 100% !important;

                .carousel-item {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    padding: 10px;
                    gap: 15px;

                    height: 84px;
                    width: 100%;
                    border-radius: 8px;
                    background: #FFFFFF;
                    border: 1px solid $grey-color;

                    .avatar-content {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        height: 40px;
                        width: 40px;
                        background: linear-gradient(to right, #F79945, #F84C26);
                        border-radius: 200px;

                        .avatar {
                            position: relative;
                            display: block;
                            height: 36px;
                            width: 36px;
                            padding: 4px;
                            background: white;
                            border-radius: 50%;

                            img {
                                height: 100%;
                                width: 100%;
                                object-fit: cover;
                                object-position: center;
                                border-radius: 50%;
                            }
                        }
                    }

                    .text-info {
                        width: calc(100% - 55px);
                        display: flex;
                        flex-direction: column;
                        align-items: flex-start;
                        padding: 0px;
                        gap: 5px;

                        .teacher {
                            width: 100%;
                            text-align: left;
                            overflow: hidden;
                            text-overflow: ellipsis;
                            display: -webkit-box;
                            -webkit-line-clamp: 1;
                            -webkit-box-orient: vertical;

                            span {
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                color: $grey-color;
                            }
                        }

                        .classes {
                            width: 100%;
                            text-align: left;
                            overflow: hidden;
                            text-overflow: ellipsis;
                            display: -webkit-box;
                            -webkit-line-clamp: 1;
                            -webkit-box-orient: vertical;
                            word-break: break-word;

                            span {
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                color: #EB4C2A;
                            }
                        }
                    }

                    &.active {
                        background: #F9EFED;
                        border: 1px solid #EF4E2B;
                    }
                }

                [class~="slider-control-centerleft"],
                [class~="slider-control-centerright"] {
                    button {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        width: 25px;
                        height: 25px;

                        background: #D4CDFF;
                        border-radius: 60px;

                        svg {
                            path {
                                fill: #7C68EE;
                            }
                        }
                    }

                    button[disabled] {
                        background: #F4F5FA;

                        svg {
                            path {
                                fill: $grey-color;
                            }
                        }
                    }
                }

                [class~="slider-control-centerleft"] {
                    left: -35px !important;

                    button {
                        svg {
                            transform: rotate(-180deg);
                        }
                    }
                }

                [class~="slider-control-centerright"] {
                    right: -35px !important;
                }
            }
        }

        .exam-info {
            width: 100%;
            display: flex;
            flex-direction: column;
            gap: 10px;
            overflow-y: auto;
            padding: 0 24px 24px;

            .loading-zone {
                position: relative;
                height: 50rem;
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
            }

            .exam-category {
                width: 100%;
                display: flex;
                flex-direction: column;
                padding: 0px;

                .header {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    padding: 10px 24px;
                    column-gap: 10px;

                    height: 44px;
                    width: 100%;

                    background: #EAE7FF;
                    border-radius: 16px 16px 0px 0px;
                    cursor: pointer;

                    span {
                        font-weight: 600;
                        font-size: 13px;
                        line-height: 20px;
                        color: #7660FE;
                    }

                    svg {
                        transition: all .3s ease-in-out;
                        width: 23px;
                        height: 22px;
                    }

                    &.toggle {
                        svg {
                            transition: all .3s ease-in-out;
                            transform: rotate(-180deg);
                        }
                    }

                }

                .body {
                    display: block;
                    height: auto;
                    width: 100%;

                    background: #F7F8FC;
                    border-radius: 0px 0px 16px 16px;

                    &.toggle-show {
                        display: block;
                        transition: all 8s ease-in-out;
                    }

                    &.toggle-hide {
                        display: none;
                        transition: all 8s ease-in-out;
                    }

                    .row-content {
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        width: 100%;
                        padding: 0px 24px;
                        column-gap: 24px;

                        &:nth-child(2n) {
                            background: #FFFFFF;
                        }

                        &:nth-child(2n + 1) {
                            background: #F7F8FC;
                        }

                        &:last-child {
                            border-radius: 0px 0px 16px 16px;
                        }

                        .name-display {
                            width: 35%;
                            padding: 10px;

                            span {
                                width: 100%;
                                font-weight: 400;
                                font-size: 13px;
                                line-height: 20px;
                                color: #7660FE;

                                overflow: hidden;
                                text-overflow: ellipsis;
                                display: -webkit-box;
                                -webkit-line-clamp: 1;
                                -webkit-box-orient: vertical;
                            }
                        }

                        .date-time-display {
                            padding: 10px;
                            width: 22%;
                            display: flex;
                            align-items: center;
                            justify-content: flex-start;
                            gap: 8px;

                            .text-display,
                            .time-display,
                            .date-display {
                                display: flex;
                                flex-direction: column;

                                &.ongoing span:first-child {
                                    color: $grey-color;
                                }

                                &.ended span {
                                    color: $grey-color;
                                }

                                span {
                                    color: $dark-color;
                                    font-size: 14px;
                                    font-weight: 500;
                                    line-height: 20px;
                                }
                            }
                        }

                        .label-display {
                            width: 18%;
                            border-radius: 60px;

                            span {
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                text-align: center;
                                padding: 5px 10px;
                                display: block;
                            }

                            &.ended {
                                background-color: #FFCACA;
                                color: #EF4E2B;
                            }

                            &.upcoming {
                                background: #FFEFD9;
                                color: #F79945;
                            }

                            &.ongoing {
                                background: #D7F9F5;
                                color: #21C274;
                            }
                        }

                        .more-info-display {
                            width: 25%;
                            padding: 10px;

                            .result {
                                width: 100%;
                                display: flex;
                                flex-direction: column;
                                gap: 2px;

                                span {
                                    font-weight: 500;
                                    font-size: 14px;
                                    line-height: 20px;
                                    color: $grey-color;
                                }
                            }
                        }
                    }

                    .row-no-data {
                        position: relative;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        height: 55px;
                        width: 100%;

                        span {
                            font-weight: 400;
                            font-size: 13px;
                            line-height: 20px;
                            color: $grey-color;
                        }
                    }
                }
            }
        }

        .empty-zone {
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 20px;

            img {
                width: 137px;
                height: 128px;
                object-fit: contain;
                object-position: center;
            }

            span {
                font-size: 13px;
                font-weight: 500;
                line-height: 20px;
                color: #545454;
            }
        }
    }
}